Subject: [IPsec] LZF for IPcomp

From: Thor Lancelot Simon <[email-masked]>
Date: Thu, 4 Feb 2010 17:35:04 -0500

I'm considering implementing LZF as an IPcomp transform.  LZF is a small
(core transform is about 1K), very fast, patent-free LZ family compressor.

	(http://oldhome.schmorp.de/marc/liblzf.html)

It compresses about 2X-4X as fast as Deflate and uncompresses almost as
fast as memcpy() on many platforms.  Compression ratio is so-so -- about
like the other very fast compressors such as LZO.

There are two C implementations with non-restrictive licenses (2 clause
BSD style), liblzf and fastlz.  Which one is faster than which seems to
depend on day of the week, test conditions, and color of bikeshed.

Do others have any interest in this?  I'm asking here (among other
reasons) because the algorithm numbers for IPcomp transforms seem
to  be allocated as part of the IPsec DOI...

Thor